iOS开发之使用CocoaPods更新第三方出现“target overrides the `OTHER_LDFLAGS`……”问题解决方案

  今天在自己的项目中用CocoaPods引入第三方SDWebImage的时候,出现了问题。当更新完毕后,在终端没太注意这个问题的提示,就直接使用SDWebImage了,在使用的时候一些方法的提示和头文件都能引入和使用(看上去SDWebImage可以正常使用),可是一运行就报错(错误是下面给出的错误)。貌似是程序写的有问题,然后就检查程序代码,可是检查不出任何错误,折腾了半天,然后就猛然想起pod update时报的错误。下面就写篇博客来纪念一下这个bug~

1.引入第三方库的时候,在终端上会显示下面的警告,是警告(黄叹号吗),当时我就没太在意!感觉出现警告应该能正常运行的~警告如下(主要是下面的俩个):

 

2.如果不解决的直接用第三方的话,程序中会出现下面的错误:

 

3.然后就在程序中调啊~调啊~还是没调好,于是就解决黄叹号,解决步骤如下:

(1)打开工程所在文件夹,找到.xcodeproj的文件,然后显示包内容,找到project.pbxproj文件,如下:

(2)用文本编辑器打开,然后查找OTHER_LDFLAGS这个东西,把有关这个东西的地方都删掉(应该有四处),如下图:

(3)删除完以后,在终端重新update一下,如下(就没有下面两个黄叹号了,解决完毕)

(4)在编译运行我们的工程,编译通过~

打赏支持我写出更多好文章,谢谢!

打赏作者

打赏支持我写出更多好文章,谢谢!

1 收藏 评论

关于作者:青玉伏案

乐于分享,广交善缘。走在技术的路上,一直在学习中。(http://www.cnblogs.com/ludashi/)https://github.com/lizeluQQ群:310800319 个人主页 · 我的文章 · 3 ·    

相关文章

可能感兴趣的话题



直接登录
跳到底部
返回顶部